Package com.collibra.dgc.core.api.model.instance

# Interface Asset

All Superinterfaces:
  `Entity`, `NamedResource`, `Resource`, `Serializable`

public interface Asset extends NamedResource
Represents an asset

An asset is a verbal designation of a concept (object type) in a specific subject field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getArticulationScore()`
  Returns the articulation score for this asset.
  `Double`
  `getAvgRating()`
  Returns the average rating for asset.
  `String`
  `getDisplayName()`
  Returns the display name of the asset.
  `NamedResourceReference`
  `getDomain()`
  Returns the domain this asset is part of.
  `String`
  `getName()`
  Returns the full name of the asset.
  `Integer`
  `getRatingsCount()`
  Returns the count of all ratings assigned to asset.
  `NamedResourceReference`
  `getStatus()`
  Returns the status of this asset.
  `NamedResourceReference`
  `getType()`
  Returns the type of this asset.
  `boolean`
  `isExcludedFromAutoHyperlinking()`
  Returns whether this asset is excluded from hyperlinking or not.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getName

    String getName()
    Returns the full name of the asset.
    Specified by:
      `getName` in interface `NamedResource`
    Returns:
      the full name of the asset

  - ### getDisplayName

    String getDisplayName()
    Returns the display name of the asset.
    Returns:
      the display name of the asset

  - ### getArticulationScore

    Double getArticulationScore()
    Returns the articulation score for this asset.

    Expresses how well this asset is articulated. The articulation score is a percentage number ranging from 0 to 100. The articulation rules can be configured to calculate the articulation score. Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.

    Returns:
      the articulation score for this asset

  - ### getDomain

    NamedResourceReference getDomain()
    Returns the domain this asset is part of.
    Returns:
      the domain this asset is part of

  - ### getType

    NamedResourceReference getType()
    Returns the type of this asset.
    Returns:
      the type of this asset

  - ### getStatus

    NamedResourceReference getStatus()
    Returns the status of this asset.
    Returns:
      the status of this asset

  - ### isExcludedFromAutoHyperlinking

    boolean isExcludedFromAutoHyperlinking()
    Returns whether this asset is excluded from hyperlinking or not.
    Returns:
      whether this asset is excluded from hyperlinking or not

  - ### getAvgRating

    Double getAvgRating()
    Returns the average rating for asset.
    Returns:
      the average rating

  - ### getRatingsCount

    Integer getRatingsCount()
    Returns the count of all ratings assigned to asset.
    Returns:
      the ratings count